Change log for python3-defaults package in Ubuntu

175 of 120 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-04-03
Deleted in disco-proposed (Reason: moved to release)
python3-defaults (3.7.3-1) unstable; urgency=medium

  * Bump version to 3.7.3.

 -- Matthias Klose <email address hidden>  Tue, 26 Mar 2019 11:25:14 +0100

Available diffs

Superseded in disco-release on 2019-04-03
Deleted in disco-proposed on 2019-04-05 (Reason: moved to release)
python3-defaults (3.7.2-1) unstable; urgency=medium

  * Bump version to 3.7.2.
  * Bump standards version.

 -- Matthias Klose <email address hidden>  Fri, 18 Jan 2019 08:54:49 +0100

Available diffs

  • diff from 3.7.1-1ubuntu1 (in Ubuntu) to 3.7.2-1 (pending)
Superseded in disco-release on 2019-01-30
Deleted in disco-proposed on 2019-02-01 (Reason: moved to release)
python3-defaults (3.7.1-1ubuntu1) disco; urgency=medium

  * Remove python3.6 as a supported Python3 version.

 -- Matthias Klose <email address hidden>  Sat, 03 Nov 2018 09:01:27 +0100
Published in cosmic-updates on 2018-10-31
Superseded in disco-proposed on 2018-10-30
Deleted in cosmic-proposed (Reason: moved to -updates)
python3-defaults (3.6.7-1~18.10) cosmic-proposed; urgency=medium

  * SRU: LP: #1799206.

Published in bionic-updates on 2018-11-19
Deleted in bionic-proposed (Reason: moved to -updates)
python3-defaults (3.6.7-1~18.04) bionic-proposed; urgency=medium

  * SRU: LP: #1799206.
  * Drop python3.7 as a supported python3 version for the bionic SRU.

Available diffs

Superseded in disco-release on 2018-11-08
Deleted in disco-proposed on 2018-11-09 (Reason: moved to release)
python3-defaults (3.7.1-1) experimental; urgency=medium

  * Default python3 version to 3.7.

 -- Matthias Klose <email address hidden>  Sun, 21 Oct 2018 14:23:45 +0200
Superseded in disco-release on 2018-11-02
Published in cosmic-release on 2018-07-31
Deleted in cosmic-proposed (Reason: moved to release)
python3-defaults (3.6.6-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Fix the idle desktop file. Closes: #901096.
  * Install the policy files in the python3 package. Closes: #901486.
  * python3-minimal: Pre-Depend on python3.6-minimal. Closes: #901001.
  * Bump version to 3.6.6.

  [ Scott Kitterman ]
  * Remove myself from uploaders

 -- Matthias Klose <email address hidden>  Wed, 27 Jun 2018 18:18:20 +0200

Available diffs

Published in artful-updates on 2018-07-12
Deleted in artful-proposed (Reason: moved to -updates)
python3-defaults (3.6.3-0ubuntu3) artful; urgency=medium

  * Switch python3.x-minimal to a pre-dependency for python3-minimal so that
    release upgrades will be more smooth. (LP: #1768379)

 -- Brian Murray <email address hidden>  Thu, 21 Jun 2018 15:50:41 -0700

Available diffs

Superseded in bionic-updates on 2018-11-19
Deleted in bionic-proposed on 2018-11-20 (Reason: moved to -updates)
python3-defaults (3.6.5-3ubuntu1) bionic; urgency=medium

  * Switch python3.x-minimal to a pre-dependency for python3-minimal so that
    release upgrades will be more smooth. (LP: #1768379)

 -- Brian Murray <email address hidden>  Thu, 21 Jun 2018 14:52:37 -0700
Superseded in cosmic-release on 2018-07-31
Published in bionic-release on 2018-04-19
Deleted in bionic-proposed (Reason: moved to release)
python3-defaults (3.6.5-3) unstable; urgency=medium

  * Update valgrind support file. LP: #1513364.
  * debian/control.in (Michael Vogt):
    - add Cnf-Visible-Pkgname hint to ensure command-not-found recommends
      installing "python3" instead of "python3-minimal" when it is missing.

 -- Matthias Klose <email address hidden>  Tue, 10 Apr 2018 11:48:03 +0200

Available diffs

Superseded in bionic-release on 2018-04-19
Deleted in bionic-proposed on 2018-04-21 (Reason: moved to release)
python3-defaults (3.6.5-2) unstable; urgency=medium

  * Distinguish between python3.6 and python3-stdlib-extensions versions.
    Closes: #894168.
  * python3-venv: Depend on python3-distutils.

 -- Matthias Klose <email address hidden>  Mon, 02 Apr 2018 07:06:32 +0200

Available diffs

Superseded in bionic-release on 2018-04-06
Deleted in bionic-proposed on 2018-04-07 (Reason: moved to release)
python3-defaults (3.6.4-1) unstable; urgency=medium

  * Bump version to 3.6.4.
  * 2to3: Depend on python3-2to3 and provide the 2to3 launcher.

 -- Matthias Klose <email address hidden>  Fri, 29 Dec 2017 23:53:39 +0100
Superseded in bionic-proposed on 2017-12-30
python3-defaults (3.6.4~rc1-2) unstable; urgency=medium

  * 2to3: Fix breaks/replaces relation with python. Closes: #884418.

 -- Matthias Klose <email address hidden>  Fri, 15 Dec 2017 08:24:00 +0100

Available diffs

Superseded in bionic-proposed on 2017-12-15
python3-defaults (3.6.4~rc1-1) unstable; urgency=medium

  * Bump version to 3.6.4~rc1.
  * Stop using priority extra for the -dbg packages.
  * Build a 2to3 package.

 -- Matthias Klose <email address hidden>  Wed, 13 Dec 2017 23:34:01 +0100

Available diffs

Superseded in bionic-proposed on 2017-12-14
python3-defaults (3.6.3-2) unstable; urgency=medium

  * Remove python3.5 as a supported Python3 version.

 -- Matthias Klose <email address hidden>  Thu, 26 Oct 2017 21:09:05 +0200
Superseded in bionic-release on 2018-02-09
Published in artful-release on 2017-10-12
Deleted in artful-proposed (Reason: moved to release)
python3-defaults (3.6.3-0ubuntu2) artful; urgency=medium

  * Fix idle script. LP: #1721852.

 -- Matthias Klose <email address hidden>  Tue, 10 Oct 2017 08:00:04 +0200

Available diffs

Superseded in artful-release on 2017-10-12
Deleted in artful-proposed on 2017-10-13 (Reason: moved to release)
python3-defaults (3.6.3-0ubuntu1) artful; urgency=medium

  * Bump version to 3.6.3.

 -- Matthias Klose <email address hidden>  Sat, 07 Oct 2017 15:26:10 +0200

Available diffs

Superseded in artful-release on 2017-10-08
Deleted in artful-proposed on 2017-10-10 (Reason: moved to release)
python3-defaults (3.6.2-1ubuntu4) artful; urgency=medium

  * idle3: Fix Breaks/Replaces versions for idle.

 -- Matthias Klose <email address hidden>  Wed, 27 Sep 2017 20:03:37 +0200
Superseded in artful-proposed on 2017-09-27
python3-defaults (3.6.2-1ubuntu3) artful; urgency=medium

  * Rename the idle3 package to idle, keep a transitional idle3 package.

 -- Matthias Klose <email address hidden>  Sat, 23 Sep 2017 10:22:59 +0200

Available diffs

Superseded in artful-release on 2017-09-27
Deleted in artful-proposed on 2017-09-29 (Reason: moved to release)
python3-defaults (3.6.2-1ubuntu2) artful; urgency=medium

  * Fix old-versions and unsupported-versions variables in debian_defaults.

 -- Adam Conrad <email address hidden>  Mon, 18 Sep 2017 14:57:07 -0600
Deleted in artful-proposed on 2017-09-19 (Reason: Breaks on postinst)
python3-defaults (3.6.2-1ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop Python 3.5 as a supported version.

Available diffs

Superseded in artful-release on 2017-09-22
Deleted in artful-proposed on 2017-09-24 (Reason: moved to release)
python3-defaults (3.6.1-0ubuntu3) artful; urgency=medium

  * Drop Python 3.5 as a supported version.

 -- Michael Hudson-Doyle <email address hidden>  Tue, 01 Aug 2017 21:59:08 +1200

Available diffs

Superseded in artful-release on 2017-08-07
Deleted in artful-proposed on 2017-08-08 (Reason: moved to release)
python3-defaults (3.6.1-0ubuntu2) artful; urgency=medium

  * Fix some invalid escape sequences that make autopkgtests fail by causing
    warnings on stderr.

 -- Michael Hudson-Doyle <email address hidden>  Fri, 21 Jul 2017 14:10:27 +1200
Superseded in artful-proposed on 2017-07-21
python3-defaults (3.6.1-0ubuntu1) artful; urgency=medium

  * Make Python 3.6 the default version.

 -- Michael Hudson-Doyle <email address hidden>  Thu, 20 Jul 2017 13:35:04 +1200
Superseded in artful-proposed on 2017-07-20
python3-defaults (3.5.3-3) unstable; urgency=medium

  * Upload to unstable
  * Update python3 version number in debian/README.Debian (Closes:
    #826565)
  * Add debian/watch, thanks to Taylor Kline for the patch (Closes:
    #850789)
  * No VCS cruft in the tarball this time (Closes: #854974)
  * Bump standards version to 4.0.0 without further change
  * Delete ancient Breaks/Replaces for idle3 and python3-minimal

 -- Scott Kitterman <email address hidden>  Wed, 28 Jun 2017 23:07:12 -0400
Superseded in artful-release on 2017-07-26
Deleted in artful-proposed on 2017-07-27 (Reason: moved to release)
python3-defaults (3.5.3-1ubuntu3) artful; urgency=medium

  * Change libpython-all-dev, libpython-all-dbg, descriptions in d/control.in,
    not just d/control.

 -- Michael Hudson-Doyle <email address hidden>  Fri, 12 May 2017 13:58:02 +1200
Superseded in artful-proposed on 2017-05-12
python3-defaults (3.5.3-1ubuntu2) artful; urgency=medium

  * Fix libpython-all-dev and libpython-all-dbg to depend on Python 3.6
    packages.
  * Edit descriptions of -all packages to mention Python 3.6.

 -- Michael Hudson-Doyle <email address hidden>  Fri, 12 May 2017 12:51:06 +1200

Available diffs

Superseded in artful-proposed on 2017-05-12
python3-defaults (3.5.3-1ubuntu1) artful; urgency=medium

  * Add Python 3.6 as a supported version.

 -- Michael Hudson-Doyle <email address hidden>  Fri, 05 May 2017 14:13:14 +1200
Superseded in artful-release on 2017-06-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
python3-defaults (3.5.3-1) unstable; urgency=medium

  * Bump version to 3.5.3.

 -- Matthias Klose <email address hidden>  Fri, 20 Jan 2017 11:03:28 +0100

Available diffs

Superseded in zesty-release on 2017-04-08
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
python3-defaults (3.5.1-4) unstable; urgency=medium

  * Bump standards version.
  * Rebuild to pick up the GNU triplet change on i386 archs. Addresses: #826128.

 -- Matthias Klose <email address hidden>  Fri, 03 Jun 2016 01:34:07 +0200

Available diffs

Superseded in yakkety-release on 2016-06-06
Published in xenial-release on 2016-03-25
Deleted in xenial-proposed (Reason: moved to release)
python3-defaults (3.5.1-3) unstable; urgency=medium

  * Drop build dependency on python3.4.
  * Bump standards and debhelper versions.

 -- Matthias Klose <email address hidden>  Mon, 21 Mar 2016 12:58:34 +0100
Superseded in xenial-proposed on 2016-03-23
python3-defaults (3.5.1-2) unstable; urgency=medium

  * Drop Python 3.4 as a supported python3 version.

 -- Matthias Klose <email address hidden>  Mon, 22 Feb 2016 12:53:25 +0100
Superseded in xenial-release on 2016-03-25
Deleted in xenial-proposed on 2016-03-26 (Reason: moved to release)
python3-defaults (3.5.1-1ubuntu2) xenial; urgency=medium

  * Drop Python 3.4 as a supported python3 version.

 -- Matthias Klose <email address hidden>  Sun, 17 Jan 2016 22:24:38 +0100
Superseded in xenial-proposed on 2016-01-17
python3-defaults (3.5.1-1ubuntu1) xenial; urgency=medium

  * Drop Python 3.4 as a supported python3 version.

 -- Matthias Klose <email address hidden>  Sun, 17 Jan 2016 11:22:05 +0100
Superseded in xenial-release on 2016-01-19
Deleted in xenial-proposed on 2016-01-20 (Reason: moved to release)
python3-defaults (3.5.1-1) unstable; urgency=medium

  * Upload to unstable

  [ Scott Kitterman ]
  * Drop redundant supported/default version definitions in debpython/
    version.py

  [ Matthias Klose ]
  * Bump version to 3.5.1.
  * Stop shipping menu files.

 -- Scott Kitterman <email address hidden>  Mon, 11 Jan 2016 11:35:49 -0500

Available diffs

Superseded in xenial-release on 2016-01-12
Deleted in xenial-proposed on 2016-01-13 (Reason: moved to release)
python3-defaults (3.5.0-2) experimental; urgency=medium

  * Update py3versions to list versions in a consistent order: default listed
    last and non-default listed first in ascending order (Closes: #801376)

 -- Scott Kitterman <email address hidden>  Sat, 10 Oct 2015 21:21:44 -0400
Superseded in xenial-release on 2015-10-27
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
python3-defaults (3.4.3-4ubuntu1) wily; urgency=medium

  * Add python3.5 as a supported Python version. (LP: #1474882)

 -- Barry Warsaw <email address hidden>  Wed, 15 Jul 2015 10:36:57 -0400
Superseded in wily-release on 2015-08-20
Deleted in wily-proposed on 2015-08-22 (Reason: moved to release)
python3-defaults (3.4.3-4) unstable; urgency=medium

  * Upload to unstable

  [ Matthias Klose ]
  * Update README for python 3.4. Closes: #772545.

  [ Scott Kitterman ]
  * Drop python3.5 as a supported version for upload to unstable

 -- Scott Kitterman <email address hidden>  Sat, 27 Jun 2015 18:47:18 -0400

Available diffs

Superseded in wily-release on 2015-06-29
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
python3-defaults (3.4.3-1) experimental; urgency=medium


  * Bump version to 3.4.3.
  * Make python3-minimal a pre-dependency for python3.

 -- Matthias Klose <email address hidden>  Sat, 28 Feb 2015 17:05:58 +0100

Available diffs

Superseded in vivid-release on 2015-03-02
Deleted in vivid-proposed on 2015-03-03 (Reason: moved to release)
python3-defaults (3.4.2-2) unstable; urgency=medium


  * py3clean: remove pyc files generated from files with dot in its name
    (workaraunds http://bugs.python.org/issue22966)

 -- Piotr Ożarowski <email address hidden>  Sat, 29 Nov 2014 18:14:17 +0100

Available diffs

Superseded in vivid-release on 2014-12-01
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
python3-defaults (3.4.2-1) unstable; urgency=medium


  [ Scott Kitterman ]
  * Drop unused B-D-I on libhtml-tree-perl
  * Use dpkg-vendor instead of lsb-release to determine distribution.

  [ Matthias Klose ]
  * Bump version to 3.4.2.
  * Bump standards version to 3.9.6.
  * Build-depend on python3.4 and dpkg-dev versions to consistently
    generate the i586-* symlinks. Closes: #762980.

 -- Matthias Klose <email address hidden>  Wed, 08 Oct 2014 12:52:49 +0200

Available diffs

Superseded in utopic-release on 2014-10-09
Deleted in utopic-proposed on 2014-10-10 (Reason: moved to release)
python3-defaults (3.4.1-1) unstable; urgency=medium


  * Bump version to 3.4.1.
  * Drop python3.3 as a supported python version.
  * Build a python3-venv binary package.
  * Fix lintian warnings.
  * py3versions: Ignore blank lines before the source section in the control
    file. Closes: #739935.

 -- Matthias Klose <email address hidden>  Wed, 04 Jun 2014 12:39:42 +0200
Superseded in utopic-release on 2014-06-16
Published in trusty-release on 2014-03-24
Deleted in trusty-proposed (Reason: moved to release)
python3-defaults (3.4.0-0ubuntu2) trusty; urgency=medium

  * debpython/version.py: Remove 3.3 as supported version.
 -- Matthias Klose <email address hidden>   Sun, 23 Mar 2014 09:14:21 +0100
Superseded in trusty-proposed on 2014-03-23
python3-defaults (3.4.0-0ubuntu1) trusty; urgency=medium

  * Bump version to 3.4.0.
  * Drop 3.3 as a supported python3 version. LP: #1295153.
 -- Matthias Klose <email address hidden>   Sun, 23 Mar 2014 08:52:38 +0100
Superseded in trusty-release on 2014-03-24
Deleted in trusty-proposed on 2014-03-25 (Reason: moved to release)
python3-defaults (3.4~rc1-1) experimental; urgency=medium


  * Default to python3.4.

 -- Matthias Klose <email address hidden>  Wed, 12 Feb 2014 13:03:28 +0100

Available diffs

Superseded in trusty-release on 2014-02-18
Deleted in trusty-proposed on 2014-02-20 (Reason: moved to release)
python3-defaults (3.3.3-1) experimental; urgency=low


  * Add python3.4 as a supported python version.

 -- Matthias Klose <email address hidden>  Thu, 26 Dec 2013 00:39:55 +0100
Superseded in trusty-release on 2014-02-14
Deleted in trusty-proposed on 2014-02-15 (Reason: moved to release)
python3-defaults (3.3.2-17ubuntu1) trusty; urgency=medium

  * Add python3.4 as a supported python version for the test rebuild.
 -- Matthias Klose <email address hidden>   Sat, 21 Dec 2013 13:59:26 +0100
Superseded in trusty-release on 2013-12-23
Deleted in trusty-proposed on 2013-12-24 (Reason: moved to release)
python3-defaults (3.3.2-17) unstable; urgency=low


  * Add Multi-Arch: allowed for python3-all-dev.

 -- Matthias Klose <email address hidden>  Wed, 18 Sep 2013 15:46:08 +0200
Superseded in trusty-release on 2013-12-06
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
python3-defaults (3.3.2-14ubuntu1) saucy; urgency=medium

  * Re-add The Multi-Arch: allowed attribute for python3-all-dev.
 -- Matthias Klose <email address hidden>   Wed, 18 Sep 2013 15:48:15 +0200
Superseded in saucy-release on 2013-09-19
Deleted in saucy-proposed on 2013-09-20 (Reason: moved to release)
python3-defaults (3.3.2-14) unstable; urgency=low


  * Add python3.1 and python3.2 to unsupported-versions
  * Build-depend on python3-minimal:any instead of python since that's what's
    used during the build now
  * Build-depend on python3-docutils instead of python-docutils
  * Add Multi-Arch: allowed for python3-all and python3-all-dbg
  * Add libpython3-dbg to python3-dbg depends
  * Add libpython3-dev to python3-dev depends
  * Use generated depends in control.in for libpython3-stdlib as with other
    binaries
  * Set UPSTRVER for Ubuntu in debian/rules so correct results are produced in
    both Debian and Ubuntu

 -- Scott Kitterman <email address hidden>  Sun, 18 Aug 2013 06:22:22 -0400
Published in precise-updates on 2013-06-20
Deleted in precise-proposed (Reason: moved to -updates)
python3-defaults (3.2.3-0ubuntu1.2) precise-proposed; urgency=low

  * Move py3versions back to python3-minimal. LP: #1167183.

Obsolete in quantal-updates on 2015-04-24
Deleted in quantal-proposed on 2015-05-01 (Reason: moved to -updates)
python3-defaults (3.2.3-5ubuntu1.2) quantal-proposed; urgency=low

  * Move py3versions back to python3-minimal. LP: #1167183.

Superseded in saucy-release on 2013-08-18
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
python3-defaults (3.3.1-0ubuntu1) raring; urgency=low

  * Bump version to 3.3.1.
 -- Matthias Klose <email address hidden>   Sun, 07 Apr 2013 20:53:17 +0200

Available diffs

Superseded in raring-release on 2013-04-07
Deleted in raring-proposed on 2013-04-09 (Reason: moved to release)
python3-defaults (3.3.0-3ubuntu1) raring; urgency=low

  * Merge with Debian experimental, remaining changes:
    - Drop python3.2 as a supported python3 version.
    - Make python3-{all,all-dev,all-dbg} Multi-Arch: allowed.
    - Move debiandoc-sgml and lsb-release from Build-Depends-Indep to
      Build-Depends.
    - Build libpython3-all-{dev,dbg} and libpython3-stdlib packages.
    - Build-depend on python:any instead of python.

Available diffs

Superseded in raring-release on 2013-03-26
Deleted in raring-proposed on 2013-03-28 (Reason: moved to release)
python3-defaults (3.3.0-2ubuntu9) raring; urgency=low

  * Build-depend on python:any instead of python.
 -- Matthias Klose <email address hidden>   Wed, 06 Mar 2013 18:33:16 +0800

Available diffs

Superseded in precise-proposed on 2013-04-10
python3-defaults (3.2.3-0ubuntu1.1) precise-proposed; urgency=low

  * Make python3{,-minimal,-dbg} Multi-Arch: allowed. LP: #1130709.
  * As a prerequisite, build dependency packages as architecture
    dependent packages.
 -- Matthias Klose <email address hidden>   Fri, 22 Feb 2013 10:36:03 +0100
Superseded in quantal-proposed on 2013-04-10
python3-defaults (3.2.3-5ubuntu1.1) quantal-proposed; urgency=low

  * Make python3{,-minimal,-dbg} Multi-Arch: allowed. LP: #1130709.
  * As a prerequisite, build dependency packages as architecture
    dependent packages.
 -- Matthias Klose <email address hidden>   Fri, 22 Feb 2013 10:56:29 +0100
Superseded in raring-release on 2013-03-06
Deleted in raring-proposed on 2013-03-07 (Reason: moved to release)
python3-defaults (3.3.0-2ubuntu8) raring; urgency=low

  * Build a libpython3-stdlib package.
 -- Matthias Klose <email address hidden>   Mon, 28 Jan 2013 17:47:41 +0100

Available diffs

Superseded in raring-release on 2013-01-28
Deleted in raring-proposed on 2013-01-30 (Reason: moved to release)
python3-defaults (3.3.0-2ubuntu7) raring; urgency=low

  * python3{,-all}-{dev,dbg}: Depend on libpython3{,-all}-{dev,dbg}.
 -- Matthias Klose <email address hidden>   Sun, 27 Jan 2013 19:52:05 +0100

Available diffs

Superseded in raring-release on 2013-01-27
Deleted in raring-proposed on 2013-01-29 (Reason: moved to release)
python3-defaults (3.3.0-2ubuntu6) raring; urgency=low

  * Build libpython3.3-all-{dev,dbg} packages.
 -- Matthias Klose <email address hidden>   Fri, 25 Jan 2013 20:24:06 +0100

Available diffs

Superseded in raring-release on 2013-01-26
Deleted in raring-proposed on 2013-01-27 (Reason: moved to release)
python3-defaults (3.3.0-2ubuntu5) raring; urgency=low

  [ Piotr Ożarowski ]
  * pybuild:
    - add --ext-dest-dir (PYBUILD_EXT_DESTDIR) and --ext-pattern
      (PYBUILD_EXT_PATTERN) options to move files after install step
    - save before/after command logs if quiet mode is on
    - do not warn about limiting versions if there's only one
  * dh_python3: add version range to py3compile in maintainer scripts

  [ Dmitry Shachnev ]
  * Merge with Debian packaging bzr r259. Remaining changes:
    - Drop python3.2 as a supported python3 version.
    - Make python3-{all,all-dev,all-dbg} Multi-Arch: allowed.
    - Move debiandoc-sgml and lsb-release from Build-Depends-Indep to
      Build-Depends.
  * Include architecture.mk in debian/rules instead of defining
    DEB_HOST_* manually.
  * tests/t1: Build-depend on python3-all instead of python-all.
  * Make tests work without python-support installed.
  * debian/tests/control: Add a dependency on libjs-jquery (test1 contains
    a symlink to /usr/share/javascript/jquery/jquery.js).
 -- Dmitry Shachnev <email address hidden>   Thu, 24 Jan 2013 15:48:55 +0400

Available diffs

Superseded in raring-release on 2013-01-24
Deleted in raring-proposed on 2013-01-26 (Reason: moved to release)
python3-defaults (3.3.0-2ubuntu4) raring; urgency=low

  [ Piotr Ożarowski ]
  * Interpreter._get_config: try distutils.sysconfig for older Python
    versions, use sysconfig for Version('3')
 -- Scott Kitterman <email address hidden>   Fri, 14 Dec 2012 22:05:46 -0500

Available diffs

Superseded in raring-release on 2012-12-15
Deleted in raring-proposed on 2012-12-16 (Reason: moved to release)
python3-defaults (3.3.0-2ubuntu3) raring; urgency=low

  * Fix merge error, drop python3.2 from the supported versions.
 -- Matthias Klose <email address hidden>   Wed, 12 Dec 2012 19:38:43 +0100

Available diffs

Superseded in raring-release on 2012-12-12
Deleted in raring-proposed on 2012-12-14 (Reason: moved to release)
python3-defaults (3.3.0-2ubuntu2) raring; urgency=low

  * Move debiandoc-sgml, python-docutils, lsb-release to Build-Depends.
 -- Matthias Klose <email address hidden>   Wed, 12 Dec 2012 11:09:30 +0100
Superseded in raring-proposed on 2012-12-12
python3-defaults (3.3.0-2ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Drop python3.2 as a supported python3 version.
  * Make python3-{all,all-dev,all-dbg} Multi-Arch: allowed.

Available diffs

Superseded in raring-release on 2012-12-12
Deleted in raring-proposed on 2012-12-13 (Reason: moved to release)
python3-defaults (3.3.0-0ubuntu3) raring; urgency=low

  * Convert symlinks from mu/dmu to m/dm since the u flag does not exist in
    python3.3 (LP: #1079159)
 -- Scott Kitterman <email address hidden>   Thu, 15 Nov 2012 09:14:34 -0500

Available diffs

Superseded in raring-release on 2012-11-15
Deleted in raring-proposed on 2012-11-20 (Reason: moved to release)
python3-defaults (3.3.0-0ubuntu2) raring; urgency=low

  * Drop python3.2 as a supported python3 version.
 -- Matthias Klose <email address hidden>   Tue, 06 Nov 2012 21:03:43 +0100

Available diffs

Superseded in raring-release on 2012-11-06
Deleted in raring-proposed on 2012-11-08 (Reason: moved to release)
python3-defaults (3.3.0-0ubuntu1) raring; urgency=low

  [ Dmitrijs Ledkovs ]
  * Make python3.3 default.

  [ Matthias Klose ]
  * Build dependency packages as architecture dependent packages.
  * Ship the pkgconfig symlinks again.
 -- Matthias Klose <email address hidden>   Fri, 26 Oct 2012 16:44:58 +0200

Available diffs

Superseded in raring-release on 2012-10-26
python3-defaults (3.2.3-6ubuntu1) raring; urgency=low

  * Merge from Debian Unstable.  Remaining Ubuntu changes:
    - Add python3.3 to supported python3 versions and include python3.3 in
      python3-all* package depends

Available diffs

Superseded in raring-release on 2012-10-22
python3-defaults (3.2.3-5ubuntu2) raring; urgency=low

  [ Matthias Klose ]
  * Add python3.3 as a supported version.

  [ Barry Warsaw ]
  * dh_python3: Rework calculation of extension tags to add support for
    Python 3.3's different suffixes, and to allow for unadorned .so files
    to assume they are built with the default Python 3 version.
    Closes: 672178
  * README.derivatives: It is no longer necessary to edit
    debian/py3versions.py since the values are taken from
    debian_defaults.  Also added some text on how to separate the
    specification when multiple versions are supported.
  * Makefile: Fix the nosetests3 command.  Closes: 690259

Available diffs

Superseded in raring-release on 2012-10-19
Obsolete in quantal-release on 2015-04-24
python3-defaults (3.2.3-5ubuntu1) quantal; urgency=low

  * Avoid TypeError in dh_python3 when maximum version is specified.
    LP: #1048091
 -- Barry Warsaw <email address hidden>   Wed, 10 Oct 2012 14:31:02 -0400
Superseded in quantal-release on 2012-10-10
python3-defaults (3.2.3-5) unstable; urgency=low


  * dh_python3:
    - do not rewrite /usr/bin/python{,2.*} shebangs
      (Closes: #683294, /me still thinks it was a feature, not a bug)
    - parsing debian/control fields is now case insensitive
  * Change source format from native to 3.0 (native)

 -- Piotr Ożarowski <email address hidden>  Thu, 02 Aug 2012 23:26:08 +0200

Available diffs

Superseded in quantal-release on 2012-08-03
python3-defaults (3.2.3-4) unstable; urgency=high


  * py3clean: really close #681389

 -- Piotr Ożarowski <email address hidden>  Thu, 12 Jul 2012 22:45:47 -0600
Superseded in quantal-release on 2012-07-14
python3-defaults (3.2.3-3ubuntu1) quantal; urgency=high

  [ Piotr Ożarowski ]
  * py3clean: really close #681389 (LP: #1024016)
 -- Scott Kitterman <email address hidden>   Fri, 13 Jul 2012 00:57:43 -0400

Available diffs

Superseded in quantal-release on 2012-07-13
python3-defaults (3.2.3-3) unstable; urgency=high

  * Yet another update in SHEBANG_RE to handle even more cases
  * test4 fixed to catch missing /usr/bin/python → /usr/bin/python3 rewrites
  * py3clean: accept --package *and* directory name at the same time
    (change missed in -1 upload, closes: #681389)
  * Bump minimum required python3 version to 3.2.3-3~ in packages with .py files
    (due to --package option that is added to py3compile/py3clean in rtupdate
    scripts)
 -- Scott Kitterman <email address hidden>   Thu, 12 Jul 2012 12:40:42 -0600

Available diffs

175 of 120 results